package cn.newfeifan.mall.module.distri.controller.admin.sharepath.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 分销用户关系新增/修改 Request VO")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SharePathSaveReqVO {

    @Schema(description = "层级")
    private Integer depth;

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "12537")
    private Long id;

    @Schema(description = "推荐人")
    private Long ancestor;

    @Schema(description = "直推人")
    private Long descendant;

    @Schema(description = "顺序")
    private Integer sort;

    @Schema(description = "链接来源")
    private Long source;

}